// matriz2d.h - Plantilla Matriz2d derivada de Vector<T>
#if !defined( _MATRIZ2D_H_ )
#define _MATRIZ2D_H_
#include "vector.h"

template<class T> class Matriz2d : public Vector<T> // declaración
{
  private:
    T **matriz2d; // puntero al primer elemento de la matriz
    int nCols;    // número de columnas de la matriz
  public:
    Matriz2d(int nf = 1, int nc = 1);
    ~Matriz2d();
    void destruir();
    T& operator()(int f, int c);             // operador ()
    int filas() const { return Vector<T>::longitud(); } // nº de filas
    int columnas() const { return nCols; }   // nº de columnas
};

#include "matriz2d.cpp" // definición

#endif // _MATRIZ2D_H_

